import java.util.*;

public class DateDemo {
    public static void main(String[] args) {
	Date app = new Date(2016, Month.NOV, 29);
	Date tomorrow = new Date(2016, Month.APR, 30);
	Date today = new Date(2016, Month.NOV, 29);
	System.out.println(tomorrow.compareTo(today));

	if (app.equals(today)) {
	    System.out.println("You have an appointment.");
	    System.out.println(app.hashCode());
	    System.out.println(today.hashCode());
	} else {
	    System.out.println("Nothing for today.");
	}

	Set<Date> dates = new TreeSet<>();
	dates.add(app);
	dates.add(today);
	for (Date d : dates)
	    System.out.println(d);
    }
}
